This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 234304 - ftp client: abort can be done only once
ftp client: abort can be done only once
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ftp (Show other bugs)
rawhide
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Marcela Mašláňová
Ben Levenson
:
Depends On: 193221
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-28 07:55 EDT by Marcela Mašláňová
Modified: 2007-12-13 06:42 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-13 06:42:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2007-03-28 07:55:22 EDT
+++ This bug was initially created as a clone of Bug #193221 +++

Description of problem:
You can abort "mput *" only once.

Version-Release number of selected component (if applicable):
RHES 4: ftp-0.17-22

How reproducible:
Follow instructions :)

Steps to Reproduce:
1. Connect to a ftp server 
2. Upload large file with mput * but while transferring press CTRL + C

send aborted
waiting for remote to finish abort
226-File successfully transferred
226 1.237 seconds (measured here), 3.61 Mbytes per second
4689920 bytes sent in 1.2 seconds (3.7e+03 Kbytes/s)
Continue with mput? y
 
3. Upload again with mput * and try to press CRTL+C
=> Not working. You have to wait until file has been transferred or kill the
process manually. This is quite annoying when transferring large files >1Gb
  
Actual results:


Expected results:
File tranfer is always cancelled when you press CTRL+C
Comment 1 Marcela Mašláňová 2007-12-13 06:42:31 EST
If I do Ctrl+C then nothing happend, until the file is downloaded. I look at
some other ftp clients, what's the standard behaviour and after Ctrl+C is
program exited.

Note You need to log in before you can comment on or make changes to this bug.